use teloxide::{prelude::*, types::ChatPermissions};

use crate::telegram_utils;

pub async fn take_actions(msg: Message, bot: Bot) -> anyhow::Result<()> {
    _ = bot.delete_message(msg.chat.id, msg.id).await;
    _ = bot.send_message(msg.chat.id, format!("Los mensajes con ficheros ejecutables no están permitidos\nAlerta para el usuario {}.\nSi consideras que ha sido un error ponte en contacto con un administrador", telegram_utils::get_alias(&msg))).await;
    let user = match msg.from() {
        Some(user) => user,
        None => return Ok(()),
    };
    let mut permissions = msg.chat.permissions().unwrap_or(ChatPermissions::empty());
    permissions.remove(ChatPermissions::SEND_OTHER_MESSAGES);
    permissions.insert(ChatPermissions::SEND_MESSAGES);
    let restrict = bot.restrict_chat_member(msg.chat.id, user.id, permissions);
    _ = restrict.send().await;
    Ok(())
}
